{% extends "base.html" %}
{% load i18n future mezzanine_tags blog_tags keyword_tags disqus_tags %}

{% block meta_title %}{% if page %}{{ page.meta_title }}{% else %}{% trans "Blog" %}{% endif %}{% endblock %}

{% block meta_keywords %}{% metablock %}
{% keywords_for page as keywords %}
{% for keyword in keywords %}
    {% if not forloop.first %}, {% endif %}
    {{ keyword }}
{% endfor %}
{% endmetablock %}{% endblock %}

{% block meta_description %}{% metablock %}
{{ page.description }}
{% endmetablock %}{% endblock %}

{% block title %}
{% if page %}
{% editable page.title %}{{ page.title }}{% endeditable %}
{% else %}
<span>"Blog"</span>
{% endif %}
{% endblock %}

{% block breadcrumb_menu %}
{{ block.super }}
{% if tag or category or year or month or author %}
<li>{% spaceless %}
{% if tag %}
    {% trans "Tag:" %} {{ tag }}
{% else %}{% if category %}
    {% trans "Category:" %} {{ category }}
{% else %}{% if year or month %}
    {% if month %}{{ month }}, {% endif %}{{ year }}
{% else %}{% if author %}
    {% trans "Author:" %} {{ author.get_full_name|default:author.username }}
{% endif %}{% endif %}{% endif %}{% endif %}
{% endspaceless %}
</li>
{% endif %}
{% endblock %}

{% block main %}
{{ block.super }}

{% if tag or category or year or month or author %}
    {% block blog_post_list_filterinfo %}
    <p>
    {% if tag %}
        {% trans "Viewing posts tagged" %} {{ tag }}
    {% else %}{% if category %}
        {% trans "Viewing posts for the category" %} {{ category }}
    {% else %}{% if year or month %}
        {% trans "Viewing posts from" %} {% if month %}{{ month }}, {% endif %}
        {{ year }}
    {% else %}{% if author %}
        {% trans "Viewing posts by" %}
        {{ author.get_full_name|default:author.username }}
    {% endif %}{% endif %}{% endif %}{% endif %}
    {% endblock %}
    </p>
{% else %}
    {% if page %}
    {% block blog_post_list_pagecontent %}
    {% if page.get_content_model.content %}
        {% editable page.get_content_model.content %}
        {{ page.get_content_model.content|richtext_filters|safe }}
        {% endeditable %}
    {% endif %}
    {% endblock %}
    {% endif %}
{% endif %}

<div class="row">
    <div class="col-xs-12">
    
    {% for blog_post in blog_posts.object_list %}
    <article class="post animated fadeInDown animation-delay-{{ forloop.counter|add:"3" }}">
        <div class="panel panel-default">
            <div class="panel-body">
                {% block blog_post_list_post_title %}
                <h3 class="post-title">
                    <a href="{{ blog_post.get_absolute_url }}" class="transicion">{{ blog_post.title }}</a>
                </h3>
                {% endblock %}
                <div class="row">
                    <div class="col-md-6">
                    {% if settings.BLOG_USE_FEATURED_IMAGE and blog_post.featured_image %}
                    {% block blog_post_list_post_featured_image %}
                    <a href="{{ blog_post.get_absolute_url }}">
                        <img class="img-responsive pull-left" src="{{ MEDIA_URL }}{{ blog_post.featured_image }}">
                    </a>
                    {% endblock %}
                    {% endif %}
                    </div>
                    <div class="col-md-6">
                    {% block blog_post_list_post_content %}
                    {{ blog_post.description_from_content|safe }}
                    {% endblock %}
                    </div>
                </div>
            </div>
            <div class="panel-footer">
                <div class="row">
                    {% block blog_post_list_post_metainfo %}
                    <div class="col-lg-10 col-md-9 col-sm-4">
                        <i class="fa fa-clock-o"></i> {{ blog_post.publish_date|date:"M t Y, H:i" }}
                        {% with blog_post.user as author %}
                        <i class="fa fa-user"></i> <a href="{% url "blog_post_list_author" author %}">{{ author.get_full_name|default:author.username }}</a>
                        {% endwith %}
                        {% with blog_post.categories.all as categories %}
                        {% if categories %}
                        <i class="fa fa-folder-open"></i>
                        {% for category in categories %}
                           <a href="{% url "blog_post_list_category" category.slug %}">{{ category }}</a>{% if not forloop.last %}, {% endif %} 
                        {% endfor %}
                        {% endif %}
                        {% endwith %}
                        <i class="fa fa-comments"></i>
                        {% if blog_post.allow_comments %}
                            <a href="{{ blog_post.get_absolute_url }}#comments">
                                {% blocktrans count comments_count=blog_post.comments_count %}{{ comments_count }} comment{% plural %}{{ comments_count }} comments{% endblocktrans %}
                            </a>
                        {% endif %}
                    </div>
                    <div class="col-lg-2 col-md-3 col-sm-4">
                        <a href="{{ blog_post.get_absolute_url }}" class="pull-right">{% trans "read more" %} &raquo;</a>
                    </div>
                    {% endblock %}
                </div>
            </div>
    
    <!--{% block blog_post_list_post_links %}
    <div class="blog-list-detail">
        {% keywords_for blog_post as tags %}
        {% if tags %}
        <ul class="list-inline tags">
        {% trans "Tags" %}:
        {% spaceless %}
        {% for tag in tags %}
        <li><a href="{% url "blog_post_list_tag" tag.slug %}" class="tag">{{ tag }}</a>{% if not forloop.last %}, {% endif %}</li>
        {% endfor %}
        {% endspaceless %}
        </ul>
        {% endif %}
    </div>
    {% endblock %}-->
        </div>
    </article>
    {% endfor %}
    
    </div>
</div>

{% pagination_for blog_posts %}

{% endblock %}